made noisereduce use ifinstalled script

This commit is contained in:
naukeh 2021-04-03 20:06:51 +02:00
parent 0091eee59f
commit 7c4c98d8ee

View File

@ -7,8 +7,8 @@ usage ()
} }
# Tests for requirements # Tests for requirements
ffmpeg -version >/dev/null || { echo >&2 "We require 'ffmpeg' but it's not installed. Install it by 'sudo apt-get install ffmpeg' Aborting."; exit 1; } ifinstalled ffmpeg || { echo >&2 "We require 'ffmpeg' but it's not installed."; exit 1; }
sox --version >/dev/null || { echo >&2 "We require 'sox' but it's not installed. Install it by 'sudo apt-get install sox' Aborting."; exit 1; } ifinstalled sox || { echo >&2 "We require 'ffmpeg' but it's not installed."; exit 1; }
if [ "$#" -ne 2 ] if [ "$#" -ne 2 ]
then then
@ -50,7 +50,7 @@ if [ -z "$sampleStart" ] ; then sampleStart="00:00:00"; fi
printf "Sample noise end time [00:00:00.900]: " printf "Sample noise end time [00:00:00.900]: "
read -r sampleEnd read -r sampleEnd
if [ -z "$sampleEnd" ] ; then sampleEnd="00:00:00.900"; fi if [ -z "$sampleEnd" ] ; then sampleEnd="00:00:00.900"; fi
printf "Noise reduction amount [0.21]: " printf "Noise reduction amount [0.21]: "
read -r sensitivity read -r sensitivity
if [ -z "$sensitivity" ] ; then sensitivity="0.21"; fi if [ -z "$sensitivity" ] ; then sensitivity="0.21"; fi